ChangeSet 1.1296, 2003/06/04 17:42:05-07:00, greg@kroah.com

[PATCH] PCI: remove usage of pci_for_each_dev() in arch/v850/kernel/rte_mb_a_pci.c


 arch/v850/kernel/rte_mb_a_pci.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/arch/v850/kernel/rte_mb_a_pci.c b/arch/v850/kernel/rte_mb_a_pci.c
--- a/arch/v850/kernel/rte_mb_a_pci.c	Wed Jun  4 18:06:51 2003
+++ b/arch/v850/kernel/rte_mb_a_pci.c	Wed Jun  4 18:06:51 2003
@@ -251,10 +251,10 @@
 /* Resource allocation.  */
 static void __devinit pcibios_assign_resources (void)
 {
-	struct pci_dev *dev;
+	struct pci_dev *dev = NULL;
 	struct resource *r;
 
-	pci_for_each_dev (dev) {
+	while ((dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, dev)) != NULL) {
 		unsigned di_num;
 		unsigned class = dev->class >> 8;
 
